Subject: bug#52245: Wishlist: cycle input methods

From: Juri Linkov <[email-masked]>
Date: Thu, 23 Dec 2021 20:02:33 +0200

>> I guess we could also have C-u C-u C-\ mean 'cycle', but thatʼs
>> unergonomic.
>
> The use case that I have in mind is this: even if the user customized
> the list of input methods to include more than just one, there could
> be situations where the user needs to use just one input method when
> typing.  In such situations, it would be good to have a way of
> toggling, like we do now, instead of cycling through all the other
> methods.
>
> Any reasonable solution to this use case would be welcome.  I'm
> working with systems which allow you to do something like that, and it
> frequently annoys me to have to cycle through all the keyboard layouts
> I defined, just to be able to toggle between US English and some other
> language.  So I wish that Emacs didn't have such an annoying problem,
> if possible.

I have the same problem that cycling more than 2 keyboard layouts
is annoying.  It would be possible to avoid such a problem in Emacs
by using numeric prefix arguments, e.g.:

  C-1 C-\  activates the first input methods in the list of input methods
  C-2 C-\  second
  C-3 C-\  third
  ...
  C-0 C-\  deactivates the currently active input method